1. Client
Einpix API documentation
  • Changelog
  • About
  • API
    • Task
      • Create
      • List
      • Detail
      • Change status
    • Checklist
      • By task
    • Client
      • Create
        POST
      • Update
        PUT
      • List
        GET
      • Detail
        GET
    • User
      • List
      • Detail
    • Venue
      • Create
      • List
      • Detail
    • Category
      • Task
        • List
        • Detail
      • Equipment
        • List
    • Tag
      • List
      • Detail
    • Template
      • Checklist
        • List
        • Detail
    • Equipment
      • Create
      • Update
      • Delete
      • Change picture
      • Remove picture
      • Add attachments
      • Remove attachments
      • List
      • List by category
      • Detail
    • Comment
      • Create
      • Detail
      • List
    • Worklog
      • List
      • Hisory
    • Materials
      • By task
    • Service
      • By task
    • Webhook
      • List
      • Create
      • Delete
      • Update
  • Schemas
    • User
    • Venue
    • Task
    • Task comment
    • Tag
    • Task category
    • Picture
    • Check item
    • Equipment category
    • Equipment
    • Client
    • Task severity
    • Attachment
    • Changed log
    • User group
    • WDJ material
    • Unit master
    • WDJ service
    • Worklog History
    • CountryEnum
    • Checklist template
    • Worklog
    • Activity task
    • Downtime task
    • Sla rule
    • Webhook action
    • Webhook
    • WebhookEnumm
  1. Client

Update

PUT
clients/{id}
This API endpoint allows you to update an existing client within an organization.
It modifies the client’s identification, contact, address, and contract-related information, including name, registration details, VAT code, contact details, preferred language, status, and optional notes. Updates are subject to organizational permissions, validation rules, and business constraints. The modification is associated with the authenticated user performing the update.

Request

Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "name": "string",
    "registration_code": "string",
    "vat_code": "string",
    "street_address": "string",
    "city": "string",
    "country": "Lithuania",
    "phone": "string",
    "email": "string",
    "internal_id": "string",
    "notes": "string",
    "active": true,
    "preferred_language": "en",
    "contract_number": "string",
    "type": "company",
    "apply_to_signature_field": true,
    "updated_by": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.einpix.com/public/v1/clients/' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string",
    "registration_code": "string",
    "vat_code": "string",
    "street_address": "string",
    "city": "string",
    "country": "Lithuania",
    "phone": "string",
    "email": "string",
    "internal_id": "string",
    "notes": "string",
    "active": true,
    "preferred_language": "en",
    "contract_number": "string",
    "type": "company",
    "apply_to_signature_field": true,
    "updated_by": 0
}'

Responses

🟢201Success
application/json
Body

Example
{
    "success": true,
    "id": "string"
}
Modified at 2026-02-25 05:49:46
Previous
Create
Next
List
Built with